function t1=threekinds_noc_switchparms(t2,t3,g,ns,bs);
%convert from theta2, theta3, gamma parameterization
%to theta1, theta2, theta3 parameterization
%in model with two kinds of negative control and mixtures
%of amplicons excluded
%SYNTAX
%t1=threekinds_noc_switchparms(t2,t3,g,ns,bs);
%INPUTS
%t2=theta2
%t3=theta3
%g=gamma
%ns is number of samples
%bs is number of positives from samples
%OUTPUTS
%t1=corresponding value of theta1

pi_e=t2+t3-t2.*t3;
t1=g.*pi_e./((1-g).*(1-pi_e));
ind=find(pi_e==0);
t1(ind)=bs/ns;